<?php
	if(strstr($_SERVER['HTTP_ACCEPT'], "application/xhtml+xml")) {
		header("Content-Type: application/xhtml+xml");
	}
	else {
		header("Content-Type: text/html");
	}
?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
		 
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl" xml:lang="pl">

<head>
<title>Narodowa Galeria Sclavińska</title>
<link href="style.css" rel="stylesheet" type="text/css" />
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
</head>

<body>

<?php 

function buildGallery($path) {
$numberImgs = count(glob($path.'*.jpg'));
$numberMin = count(glob($path.'*.th.jpg'));
$number = $numberImgs - $numberMin;
$i=1;
while ($i <= $number) {
$imageAddress = $path . $i . '.jpg';
$minAddress = $path . $i . '.th.jpg';
if(!file_exists($minAddress)) {
  $imgSize = GetImageSize($imageAddress);
  $width = $imgSize[0];
  $height = $imgSize[1];
  $img = imagecreatefromjpeg($imageAddress);
  $min = imageCreateTrueColor(75,100);
  ImageCopyResampled($min, $img, 0, 0, 0, 0, 75, 100, $width, $height);
  imagejpeg($min,$minAddress,80);
  imagedestroy($img);
  imagedestroy($min); 
};
echo "<a href=\"$imageAddress\"><img src=\"$minAddress\" class=\"miniatura\" alt=\"Zdjęcie $i\"/></a>";
$i++;
}
};

?>
	<div id="topbanner">
	<h1>Sclavińska Galeria Narodowa</h1>
	</div>
	
	<div id="top">
	<ul class="hmenu">
	<li 
	class="hmenu-right"><a href="http://www.sclavinia.boo.pl" class="hmenu-item">Sclavinia</a>
	</li><li 
	class="hmenu-right"><a href="http://www.sclavinia.boo.pl/forum" class="hmenu-item">Nasze forum</a>
	</li><li 
	class="hmenu-left"><a href="index.php" class="hmenu-item">Strona główna</a>
	</li>
	</ul>
	</div>
	
	<div id="menu1">
	<ul class="vmenu">
	<li><a href="index.php?content=about" class="vmenu-item">O Galerii</a></li>
	<li><a href="index.php?content=wystawy" class="vmenu-item">Aktualne wystawy</a></li>
	<li><a href="index.php?content=symbole" class="vmenu-item">Sclavińskie symbole narodowe</a></li>
  <li><a href="index.php?content=zaproponuj-zdjecie" class="vmenu-item">Zaproponuj zdjęcie</a></li>
	<li><a href="index.php?content=zaproponuj-wystawe" class="vmenu-item">Zaproponuj wystawę</a></li>
	<li><a href="index.php?content=kontakt" class="vmenu-item">Kontakt</a></li>
	</ul>
	</div>
	
	<div id="menu2">
	<ul class="vmenu">
	<li><a href="index.php?content=gory" class="vmenu-item">Góry Sclavinii</a></li>
	<li><a href="index.php?content=niziny" class="vmenu-item">Niziny Sclavinii</a></li>
	<li><a href="index.php?content=wody" class="vmenu-item">Wody Sclavinii</a></li>
	<li><a href="index.php?content=eldorat" class="vmenu-item">Eldorat, nasza stolica</a></li>
	<li><a href="index.php?content=zabytki" class="vmenu-item">Zabytki</a></li>
	<li><a href="index.php?content=zwierzeta" class="vmenu-item">Zwierzęta</a></li>
	</ul>
	</div>
	
	<div id="content">
  <?php
	if (!isset($_GET['content'])) {
	$content = "mainpage";
	}
	else {
	$content = $_GET['content'];
	};
	include ("$content.php")
	?>
	</div>
	
	<div id="bottom">
	<small>© 2007 <a href="mailto:mjoniak@gmail.com">Iontz</a>. Wszelkie prawa zastrzeżone.</small>
	 <div id="buttons">
	  
	 </div>
	</div>

</body>

</html>